# Editor support

## [Atom](https://atom.io/)

* [Project site](http://ionide.io)
* [Repository](https://github.com/ionide/ionide-paket)
* Status: Released
* Installation: Available via
  [Atom's plugin manager](https://atom.io/packages/paket)
* Features:
  * Syntax highlighting for [`paket.dependencies`](dependencies-file.html)
  * Paket commands available in Atom's Command Palette

<a href="img/paket-add-atom.gif">
  <img src="img/paket-add-atom.gif"
       alt="paket add command in Atom"
       title="paket add command in Atom"
       width="500">
</a>

## [Emacs](https://www.gnu.org/software/emacs/)

* [Project site](https://github.com/zzdtri/paket.el)
* Status: In Development
* Features:
  * [`paket.dependencies`](dependencies-file.html) buffer supports commands like
    `add`, `remove`, `install`, etc.

<a href="img/paket-add-emacs.gif">
  <img src="img/paket-add-emacs.gif"
       alt="paket add command in Emacs"
       title="paket add command in Emacs"
       width="500">
</a>

## [Visual Studio](https://www.visualstudio.com/)

* [Project site](https://github.com/fsprojects/Paket.VisualStudio)
* Status: In Development
* Installation: Available via
  [Visual Studio Marketplace](https://marketplace.visualstudio.com/items?itemName=SteffenForkmann.PaketforVisualStudio)
* Features:
  * Solution Explorer Extensions for Paket files
  * Paket commands in Solution Explorer menu
  * IntelliSense for [`paket.dependencies`](dependencies-file.html) and
    [`paket.references`](references-files.html)

<a href="img/paket.visualstudio.png">
  <img src="img/paket.visualstudio.png"
       alt="Paket in Visual Studio"
       title="Paket in Visual Studio"
       width="500">
</a>


## [Visual Studio Code](https://code.visualstudio.com/)

* [Project site](http://ionide.io)
* [Repository](https://github.com/ionide/ionide-vscode-paket)
* Status: Released
* Installation: Available via
  [Visual Studio Marketplace](https://marketplace.visualstudio.com/items/Ionide.Ionide-Paket)
* Features:
  * Paket commands available in Visual Studio Code's Command Palette

<a href="img/paket-vscode.gif">
  <img src="img/paket-vscode.gif"
       alt="paket in Visual Studio Code"
       title="paket in VSCode"
       width="500">
</a>
