# What is Paket?

Paket is a dependency manager for .NET projects. Paket enables precise and predictable control over your dependencies. With Paket, you can reference:

* [NuGet](https://www.nuget.org/) packages
* Files from [Git repositories](git-dependencies.html)
* Files from any [HTTP resource](http-dependencies.html).

Get started by learning [how to use Paket](learn-how-to-use-paket.html) and take a look at the [FAQ](faq.html) to learn more about it.

If you are using legacy NuGet (`packages.config`-based) projects for package management in your solution, you can learn about the upgrade process in the [convert from NuGet tutorial](convert-from-nuget-tutorial.html)

For information about using Paket with .NET SDK, .NET Core and the `dotnet` CLI see the["Paket and the .NET SDK / .NET Core CLI tools" guide](paket-and-dotnet-cli.html).

[![Paket Overview](img/paket-overview.png)](img/paket-overview.png)

## Contributing and copyright

The project is hosted on [GitHub][gh] where you can [report issues][issues],
fork the project and submit pull requests.

Please see the [Quick contributing guide in the README][readme] for contribution
guidelines.

The library is available under MIT license, which allows modification and
redistribution for both commercial and non-commercial purposes. For more
information see the [License file][license].

  [content]: https://github.com/fsprojects/Paket/tree/master/docs/content
  [gh]: https://github.com/fsprojects/Paket
  [issues]: https://github.com/fsprojects/Paket/issues
  [readme]: https://github.com/fsprojects/Paket/blob/master/README.md
  [license]: license.html
  
## Sponsors

Big thanks to our sponsors:

* [msu solutiuons GmbH](https://msu-solutions.de/)
* [Rhein-Spree Software Engineering GmbH](https://www.rhein-spree.com/)
* [Compositional IT](https://www.compositional-it.com)
* [GROSSWEBER](https://grossweber.com/kontakt/grossweber-en/)
